Please add a requirements section.

After installing the module, the user sees there is a dependency, written as: Date_popup (missing)

But no module called Date_popup exists. It's in fact under Date, but this isn't very clear. It would help to have the dependency on Date explicitly listed.

Thank you

Comments

I second this request. It would help if this note about date_popup dependency (achieved through installing the date module) could be added to the project page.